# = ildus/server - main Ildus server library
#
# Copyright (C) 2005 Paul van Tilburg <paul@luon.net>
#
# Ildus is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.

require 'gserver'

module Ildus
 
  class Server < GServer

    # Create a Ildus server instance that is a derivate of a generic
    # server.  Accepts an alternative _config_file_ as optional argument.
    def initialize(config_file=nil)
    end

    # Start the Ildus server.
    def start
    end

    # Stop and shutdown the Ildus server.  An _status_ code (defaults to 0)
    # can be used as an optional argument.
    def shutdown(status=0)
    end

  end # class Server

end # module Ildus
